You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@apr.apache.org by rj...@apache.org on 2010/07/25 21:48:04 UTC

svn commit: r979103 - in /apr/apr-util/branches/1.4.x/xml/expat: buildconf.sh configure.in

Author: rjung
Date: Sun Jul 25 19:48:03 2010
New Revision: 979103

URL: http://svn.apache.org/viewvc?rev=979103&view=rev
Log:
Make buildconf in expat libtool 2 compatible.

- Add AC_CONFIG_MACRO_DIR to configure.in.
  So libtoolize does copy in its m4 files.
  Otherwise libtoolize --copy doesn't copy them.

- Add all of the libtool m4 files to aclocal.m4.
  The single libtool.m4 file used by libtool 1
  has been split into five files by libtool 2 and
  we need them all.

Backport of r979102 from tne 1.5.x branch.

Modified:
    apr/apr-util/branches/1.4.x/xml/expat/buildconf.sh
    apr/apr-util/branches/1.4.x/xml/expat/configure.in

Modified: apr/apr-util/branches/1.4.x/xml/expat/buildconf.sh
URL: http://svn.apache.org/viewvc/apr/apr-util/branches/1.4.x/xml/expat/buildconf.sh?rev=979103&r1=979102&r2=979103&view=diff
==============================================================================
--- apr/apr-util/branches/1.4.x/xml/expat/buildconf.sh (original)
+++ apr/apr-util/branches/1.4.x/xml/expat/buildconf.sh Sun Jul 25 19:48:03 2010
@@ -28,26 +28,34 @@ rm -rf aclocal.m4 libtool.m4 ltsugar.m4 
 $libtoolize --copy --automake
 
 #
-# Build aclocal.m4 from libtool's libtool.m4
+# find libtool.m4
 #
-if [ -f libtool.m4 ]; then
-  ltfile=libtool.m4
-else
+if [ ! -f libtool.m4 ]; then
   ltpath=`dirname $libtoolize`
   ltfile=${LIBTOOL_M4-`cd $ltpath/../share/aclocal ; pwd`/libtool.m4}
+  if [ -f $ltfile ]; then
+    echo "libtool.m4 found at $ltfile"
+    cp $ltfile libtool.m4
+  else
+    echo "libtool.m4 not found - aborting!"
+    exit 1
+  fi
 fi
-echo "Incorporating $ltfile into aclocal.m4 ..."
+
+#
+# Build aclocal.m4 from libtool's m4 files
+#
 echo "dnl THIS FILE IS AUTOMATICALLY GENERATED BY buildconf.sh" > aclocal.m4
 echo "dnl edits here will be lost" >> aclocal.m4
-cat $ltfile >> aclocal.m4
-
-if [ -f ltsugar.m4 ]; then
-  echo "Incorporating ltsugar.m4 into aclocal.m4 ..."
-  cat ltsugar.m4 >> aclocal.m4
-fi
 
-# Clean up again
-rm -f libtool.m4 ltsugar.m4
+for m4file in libtool.m4 ltsugar.m4 ltoptions.m4 ltversion.m4 lt~obsolete.m4
+do
+  if [ -f $m4file ]; then
+    echo "Incorporating $m4file into aclocal.m4 ..."
+    cat $m4file >> aclocal.m4
+    rm -f $m4file
+  fi
+done
 
 cross_compile_warning="warning: AC_TRY_RUN called without default to allow cross compiling"
 

Modified: apr/apr-util/branches/1.4.x/xml/expat/configure.in
URL: http://svn.apache.org/viewvc/apr/apr-util/branches/1.4.x/xml/expat/configure.in?rev=979103&r1=979102&r2=979103&view=diff
==============================================================================
--- apr/apr-util/branches/1.4.x/xml/expat/configure.in (original)
+++ apr/apr-util/branches/1.4.x/xml/expat/configure.in Sun Jul 25 19:48:03 2010
@@ -12,6 +12,7 @@ dnl
 
 AC_INIT(Makefile.in)
 AC_CONFIG_AUX_DIR(conftools)
+AC_CONFIG_MACRO_DIR(.)
 
 dnl
 dnl Follow the GNU/Linux convention of odd number minor version for